UnsupportedChromatogramFormatException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.chromatogram.UnsupportedChromatogramFormatException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.chromatogram
Class UnsupportedChromatogramFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.chromatogram.UnsupportedChromatogramFormatException

All Implemented Interfaces:
  Serializable

    public class UnsupportedChromatogramFormatException

extends BioException

Exception indicating that some provided data does not represent a supported chromatogram format.

Since:
  1.3
Author:
  Rhett Sutphin (UI CBCB), Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`UnsupportedChromatogramFormatException()` Create a new UnsupportedChromatogramFormatException.
`UnsupportedChromatogramFormatException(String message)` Create a new UnsupportedChromatogramFormatException with a message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedChromatogramFormatException

    public UnsupportedChromatogramFormatException()

  Create a new UnsupportedChromatogramFormatException.

### UnsupportedChromatogramFormatException

    public UnsupportedChromatogramFormatException(String message)

  Create a new UnsupportedChromatogramFormatException with a message.

  Parameters:
    `message` - the message to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD